✨ New Gift Cards API Live Now - Beta!
curl --request POST \
--url https://api.gameboost.com/v2/currency-offers/{currencyOffer}/archive \
--header 'Authorization: Bearer <token>'{
"data": {
"id": 123,
"uuid": "<string>",
"external_id": "<string>",
"game": {
"id": 123,
"name": "<string>",
"slug": "<string>"
},
"currency_unit": {
"slug": "<string>",
"currency_name": "<string>",
"name": "<string>",
"symbol": "<string>",
"multiplier": 123
},
"title": "<string>",
"description": "<string>",
"parameters": {},
"base_currency": "EUR",
"status": "draft",
"delivery_time": {
"duration": 123,
"unit": "minutes",
"format": "<string>",
"format_long": "<string>",
"seconds": 123
},
"delivery_instructions": "<string>",
"stock": 123,
"min_quantity": 123,
"price_eur": "<string>",
"price_usd": "<string>",
"views": 123,
"icon_url": "<string>",
"created_at": 123,
"updated_at": 123,
"listed_at": 123
},
"message": "<string>",
"action": "<string>",
"previous_status": "<string>"
}Archive a currency offer removing it from active listings. Archived offers can be restored later if needed.
curl --request POST \
--url https://api.gameboost.com/v2/currency-offers/{currencyOffer}/archive \
--header 'Authorization: Bearer <token>'{
"data": {
"id": 123,
"uuid": "<string>",
"external_id": "<string>",
"game": {
"id": 123,
"name": "<string>",
"slug": "<string>"
},
"currency_unit": {
"slug": "<string>",
"currency_name": "<string>",
"name": "<string>",
"symbol": "<string>",
"multiplier": 123
},
"title": "<string>",
"description": "<string>",
"parameters": {},
"base_currency": "EUR",
"status": "draft",
"delivery_time": {
"duration": 123,
"unit": "minutes",
"format": "<string>",
"format_long": "<string>",
"seconds": 123
},
"delivery_instructions": "<string>",
"stock": 123,
"min_quantity": 123,
"price_eur": "<string>",
"price_usd": "<string>",
"views": 123,
"icon_url": "<string>",
"created_at": 123,
"updated_at": 123,
"listed_at": 123
},
"message": "<string>",
"action": "<string>",
"previous_status": "<string>"
}Documentation Index
Fetch the complete documentation index at: https://docs.gameboost.com/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The ID of the currency offer. Can be retrieved from the list of currency offers.
Was this page helpful?